LibreOffice LibreOffice 26.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
typesizes.h File Reference

Go to the source code of this file.

## Macros
#define | SAL_TYPES_ALIGNMENT2 2
#define | SAL_TYPES_ALIGNMENT4 4
#define | SAL_TYPES_ALIGNMENT8 8
#define | SAL_TYPES_SIZEOFSHORT 2
#define | SAL_TYPES_SIZEOFINT 4
#define | SAL_TYPES_SIZEOFLONG 8
#define | SAL_TYPES_SIZEOFLONGLONG 8
#define | SAL_TYPES_SIZEOFPOINTER 8

## Macro Definition Documentation

## ◆ SAL_TYPES_ALIGNMENT2

#define SAL_TYPES_ALIGNMENT2 2

## ◆ SAL_TYPES_ALIGNMENT4

#define SAL_TYPES_ALIGNMENT4 4

## ◆ SAL_TYPES_ALIGNMENT8

#define SAL_TYPES_ALIGNMENT8 8

## ◆ SAL_TYPES_SIZEOFINT

#define SAL_TYPES_SIZEOFINT 4

## ◆ SAL_TYPES_SIZEOFLONG

#define SAL_TYPES_SIZEOFLONG 8

## ◆ SAL_TYPES_SIZEOFLONGLONG

#define SAL_TYPES_SIZEOFLONGLONG 8

## ◆ SAL_TYPES_SIZEOFPOINTER

#define SAL_TYPES_SIZEOFPOINTER 8

## ◆ SAL_TYPES_SIZEOFSHORT

#define SAL_TYPES_SIZEOFSHORT 2